#include "pulse_detector.h"

int main(int argc, char** argv)
{
    for (int k = 0; k < F_SIZE; k++)
    {
        buffer[k] = (k > F_SIZE / 2);
        status = PULSE_ON;
    }
    average = 0.0;
    p_x = 4.5;
    p_y = 0.35;
    a_p_y = 0.35;

    pos_t out_x = 0.0;
    data_t out_y = 0.0;
    int ok = 0;

    detect(12.5, 0.4, out_x, out_y, ok);
    bool result = (ok == 0 && p_y == 0.4);

    detect(13.0, 0.25, out_x, out_y, ok);
    result = result && (ok == 0 && p_y == 0.4);

    for (int k = 0; k < F_SIZE; k++)
    {
        detect(13.0 + (k * 0.5), 0.0, out_x, out_y, ok);
    }
    result = (ok == 1) && result;

    return result;
}
